Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656704 - <media-sound/pulseaudio-11.1-r1[qt4] depends on deprecated Qt4
Summary: <media-sound/pulseaudio-11.1-r1[qt4] depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: PATCH, STABLEREQ
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-05-27 18:14 UTC by Andreas Sturmlechner
Modified: 2018-12-29 12:45 UTC (History)
1 user (show)

See Also:
Package list:
media-sound/pulseaudio-11.1-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-05-27 18:14:58 UTC
Qt4 is dead and this option must go, preferably by porting to Qt5 using the upstream patch(es) from upcoming release 12.0.
Comment 1 Andreas Sturmlechner gentoo-dev 2018-05-28 23:15:41 UTC
Andrius, maybe you could confirm those two Qt5-port patches are the ones we need.
Comment 2 Andrius Štikonas 2018-05-30 10:10:28 UTC
(In reply to Andreas Sturmlechner from comment #1)
> Andrius, maybe you could confirm those two Qt5-port patches are the ones we
> need.

https://github.com/pulseaudio/pulseaudio/commit/480e0e74f43565d7ece72141666961ae8cc2ed75

https://github.com/pulseaudio/pulseaudio/commit/ba2b748d40f78b9d9f945b5422ca74d05f8d0d07

Sorry, I am on a very limited connection (travelling), so coudn't prepare ebuild myself.
Comment 3 Andreas Sturmlechner gentoo-dev 2018-05-30 17:10:23 UTC
Thanks for checking back, those are the ones included in my PR.
Comment 4 Larry the Git Cow gentoo-dev 2018-06-02 17:09:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f89fbb0b4966952ac0f89717c915f1b4b94c0e2

commit 2f89fbb0b4966952ac0f89717c915f1b4b94c0e2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-05-28 22:14:21 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-02 17:06:36 +0000

    media-sound/pulseaudio: Port to Qt5
    
    Bug: https://bugs.gentoo.org/656704
    Package-Manager: Portage-2.3.40, Repoman-2.3.9

 .../files/pulseaudio-11.1-qpaeq-pyqt5-1.patch      | 198 ++++++++++++
 .../files/pulseaudio-11.1-qpaeq-pyqt5-2.patch      |  31 ++
 media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild   | 360 +++++++++++++++++++++
 3 files changed, 589 insertions(+)
Comment 5 Andreas Sturmlechner gentoo-dev 2018-06-02 18:34:32 UTC
We'll give it some time then add arches.
Comment 6 Andreas Sturmlechner gentoo-dev 2018-06-12 15:29:15 UTC
Okay to add arches now?
Comment 7 Stabilization helper bot gentoo-dev 2018-06-20 11:02:16 UTC
An automated check of this bug failed - repoman reported dependency errors (25 lines truncated): 

> dependency.bad media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0) ['dev-python/PyQt5[dbus,widgets]']
> dependency.bad media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop) ['dev-python/PyQt5[dbus,widgets]']
> dependency.bad media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/13.0/desktop/gnome) ['dev-python/PyQt5[dbus,widgets]']
Comment 8 Pacho Ramos gentoo-dev 2018-06-20 16:43:14 UTC
I see that PyQt5 is only stable in amd64/x86... probably use.mask would be the option for ppc instead of stabilizing PyQt5
Comment 9 Larry the Git Cow gentoo-dev 2018-06-20 16:49:28 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f65f2d8609843d69e69d8805af708fa3c88efd9d

commit f65f2d8609843d69e69d8805af708fa3c88efd9d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-06-20 16:48:34 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-06-20 16:48:34 +0000

    profiles: ppc32: Stable-mask media-sound/pulseaudio[qt5]
    
    Bug: https://bugs.gentoo.org/656704

 profiles/arch/powerpc/ppc32/package.use.stable.mask | 4 ++++
 1 file changed, 4 insertions(+)
Comment 10 Stabilization helper bot gentoo-dev 2018-06-20 17:01:39 UTC
An automated check of this bug failed - repoman reported dependency errors (4 lines truncated): 

> dependency.bad media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild: RDEPEND: ppc64(default/linux/powerpc/ppc64/17.0/64bit-userland) ['dev-python/PyQt5[dbus,widgets]']
> dependency.bad media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild: RDEPEND: ppc64(default/linux/powerpc/ppc64/17.0/64bit-userland/desktop) ['dev-python/PyQt5[dbus,widgets]']
> dependency.bad media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild: RDEPEND: ppc64(default/linux/powerpc/ppc64/17.0/64bit-userland/desktop/gnome) ['dev-python/PyQt5[dbus,widgets]']
Comment 11 Larry the Git Cow gentoo-dev 2018-06-21 06:33:42 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e483c2a94c7176cc07d8bad8a728ce81708a9eb

commit 6e483c2a94c7176cc07d8bad8a728ce81708a9eb
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-21 06:33:19 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-21 06:33:33 +0000

    media-sound/pulseaudio: stable 11.1-r1 for ia64, bug #656704
    
    Bug: https://bugs.gentoo.org/656704
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 12 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-06-22 07:22:04 UTC
amd64 stable
Comment 13 Tobias Klausmann gentoo-dev 2018-06-25 16:10:17 UTC
Stable on alpha.
Comment 14 Thomas Deutschmann gentoo-dev Security 2018-06-25 23:26:03 UTC
x86 stable
Comment 15 Andreas Sturmlechner gentoo-dev 2018-06-27 19:15:38 UTC
USE=qt4 was masked.
Comment 16 Larry the Git Cow gentoo-dev 2018-07-07 09:01:44 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76079b56644d29246f6acc40746a541dcb1ff940

commit 76079b56644d29246f6acc40746a541dcb1ff940
Author:     Rolf Eike Beer <eike@sf-mail.de>
AuthorDate: 2018-07-06 17:59:29 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-07-07 09:01:28 +0000

    media-sound/pulseaudio: stable 11.1-r1 for sparc
    
    Bug: https://bugs.gentoo.org/656704
    Package-Manager: Portage-2.3.40, Repoman-2.3.9
    RepoMan-Options: --include-arches="sparc"

 media-sound/pulseaudio/pulseaudio-11.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 17 Markus Meier gentoo-dev 2018-07-10 19:34:02 UTC
arm stable
Comment 18 ernsteiswuerfel 2018-07-11 14:37:11 UTC
Looking good on ppc.

Blocked builds are only due to libressl.

# cat pulseaudio-656704.report 
USE tests started on Mi 11. Jul 09:26:15 CEST 2018

 FEATURES= test succeeded for =media-sound/pulseaudio-11.1-r1
USE='-X alsa -alsa-plugin -asyncns bluetooth caps dbus doc -equalizer -gdbm -glib -gnome -gtk ipv6 jack -libressl libsamplerate -native-headset ofono-headset -orc qt5 -realtime -sox ssl systemd tcpd udev -webrtc-aec -zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='X alsa alsa-plugin -asyncns bluetooth -caps dbus doc equalizer gdbm glib gnome -gtk -ipv6 -jack -libressl libsamplerate -native-headset ofono-headset orc -qt5 -realtime -sox ssl systemd -tcpd -udev webrtc-aec -zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='X -alsa alsa-plugin -asyncns bluetooth caps dbus doc equalizer -gdbm -glib gnome -gtk ipv6 -jack libressl -libsamplerate native-headset -ofono-headset -orc qt5 -realtime -sox -ssl -systemd -tcpd udev webrtc-aec -zeroconf' : REQUIRED_USE not satisfied (probably) for =media-sound/pulseaudio-11.1-r1
USE='-X alsa alsa-plugin -asyncns -bluetooth -caps dbus -doc equalizer gdbm -glib gnome -gtk -ipv6 jack libressl -libsamplerate -native-headset -ofono-headset -orc -qt5 realtime -sox -ssl systemd -tcpd udev webrtc-aec -zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='X alsa -alsa-plugin asyncns bluetooth -caps dbus -doc -equalizer -gdbm -glib gnome -gtk ipv6 jack libressl -libsamplerate native-headset -ofono-headset orc qt5 realtime -sox ssl systemd tcpd udev webrtc-aec -zeroconf' : blocked packages (probably) for =media-sound/pulseaudio-11.1-r1
USE='-X -alsa -alsa-plugin asyncns bluetooth caps dbus -doc -equalizer -gdbm -glib -gnome gtk ipv6 jack -libressl libsamplerate -native-headset ofono-headset -orc -qt5 -realtime -sox -ssl -systemd -tcpd -udev -webrtc-aec zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='-X -alsa -alsa-plugin -asyncns bluetooth caps dbus -doc equalizer gdbm glib gnome -gtk -ipv6 -jack libressl -libsamplerate native-headset ofono-headset orc qt5 realtime sox ssl -systemd -tcpd -udev -webrtc-aec zeroconf' : blocked packages (probably) for =media-sound/pulseaudio-11.1-r1
USE='X -alsa alsa-plugin -asyncns -bluetooth -caps dbus doc -equalizer gdbm -glib -gnome -gtk ipv6 jack -libressl -libsamplerate -native-headset -ofono-headset -orc qt5 -realtime sox ssl -systemd tcpd -udev -webrtc-aec zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='-X -alsa -alsa-plugin -asyncns bluetooth caps dbus doc -equalizer gdbm glib gnome -gtk -ipv6 jack -libressl -libsamplerate -native-headset ofono-headset orc -qt5 realtime -sox -ssl -systemd tcpd -udev webrtc-aec zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='X alsa -alsa-plugin -asyncns -bluetooth -caps dbus doc equalizer gdbm -glib gnome -gtk ipv6 -jack -libressl -libsamplerate -native-headset -ofono-headset -orc qt5 -realtime -sox ssl systemd tcpd -udev webrtc-aec zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
USE='X alsa alsa-plugin -asyncns bluetooth caps dbus -doc -equalizer -gdbm glib gnome gtk ipv6 -jack libressl -libsamplerate -native-headset ofono-headset orc qt5 -realtime sox ssl systemd -tcpd udev webrtc-aec zeroconf' : blocked packages (probably) for =media-sound/pulseaudio-11.1-r1
USE='-X alsa -alsa-plugin asyncns bluetooth -caps dbus doc equalizer -gdbm glib gnome -gtk ipv6 jack -libressl -libsamplerate native-headset ofono-headset orc qt5 -realtime sox -ssl systemd tcpd udev webrtc-aec zeroconf'  succeeded for =media-sound/pulseaudio-11.1-r1
Comment 19 Sergei Trofimovich gentoo-dev 2018-07-29 16:27:26 UTC
ppc64 stable
Comment 20 Sergei Trofimovich gentoo-dev 2018-07-30 22:02:28 UTC
ppc stable (thanks to ernsteiswuerfel)
Comment 21 Mart Raudsepp gentoo-dev 2018-08-17 00:27:12 UTC
11.1-r0 was removed a while back, as well as qt4, so this bug is FIXED